网站建设_APP开发_小程序开发_公众号开发_系统开发

您的位置:首页 - 文章 - 开发随笔 - 正文

Visual Studio Code开发工具

1、下载地址:https://code.visualstudio.com/Download/

2、设置语言

ctrl+shift+p     输入  config  先择第二个选项

打开插件  语言包  选择中文  安装  后 重启即可

3、⾼亮插件

vetur 插件: vue⽂件基本语法的⾼亮插件

4、错误检测

eslint插件:智能错误检测插件,在具体开发中作⽤很⼤,能够及时的帮我们发现错误

5、代码快捷键

VsCode代码快捷键:Vue 2 Snippets 、 Vue Peek

setting.json添加配置

{

"emmet.syntaxProfiles": {

"vue-html": "html",

"vue": "html"

},

"eslint.validate": [

"javascript",

"javascriptreact",

"html",

"vue"

],

"eslint.options": {

"plugins":["html"]

}

}

6、解决VSCode终端中禁止运行脚本问题

《解决VSCODE
找了下原因,是因为PowerShell执行策略的问题。

解决方法:

  1. 以管理员身份运行vscode;
  2. 执行:get-ExecutionPolicy,显示Restricted,表示状态是禁止的;
  3. 执行:set-ExecutionPolicy RemoteSigned;
  4. 这时再执行get-ExecutionPolicy,就显示RemoteSigned;

《解决VSCODE

之后就不再有问题

7、vue项目中:‘vue-cli-service' 不是内部或外部命令,也不是可运行的程序或批处理文件的报错

运行vue项目发现报错,如图所示:
‘vue-cli-service’ 不是内部或外部命令,也不是可运行的程序或批处理文件
在这里插入图片描述
解决办法:将项目里的“node_modules”文件夹删除,然后重新运行npm install
如果安装了淘宝镜像,可以运行cnpm install

解决npm install过程中报错:unable to verify the first certificate

今天使用npm安装开发包时遇到“unable to verify the first certificate”(无法验证第一证书)这个问题

 

原因:2014年2月27日,npm不再支持自签名证书。因为npm install走的是https协议,需要通过数字证书来保证的

 

网上找到的解决方法是:

1.取消ssl验证:npm config set strict-ssl false(我在这步就解决了问题)

2.如果第一步不行,将npm源更换为国内镜像:

npm config set registry http://registry.cnpmjs.org/
npm config set registry http://registry.npm.taobao.org/

 

本文原创,作者:admin,其版权均为品创网络所有。如需转载,请注明出处:https://www.sxpcwlkj.com/518.html

发表评论